报关管理列表
POST
/basicOpen/customs/search分页查询报关资料,结果按创建时间倒序返回。
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/customs/search | HTTPS | POST | 1 |
请求参数
offsetinteger必填lengthinteger必填destinationCountryarray<any>referenceTypeintegerproductionSalesUnitarray<any>supervisionModestringorderDeclarationStatusstringtemporaryStorageStatusstringcreateStartTimestringcreateEndTimestringupdateStartTimestringupdateEndTimestringtimeTypeintegertimeStartDatestringtimeEndDatestringsearchTypeintegersearchValuestringsearchValuesarray<any>productSearchFieldintegerproductSearchValuestringproductSearchValuesarray<any>moreFiltersobject隐藏子属性
creatorUserIdsarray<any>modifierUserIdsarray<any>authIdsarray<any>请求cURL示例
curl --location 'https://openapi.lingxing.com/basicOpen/customs/search?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{"offset":0,"length":20,"destinationCountry":[],"referenceType":"","productionSalesUnit":[],"searchType":1,"searchValue":"","moreFilters":{"creatorUserIds":[],"modifierUserIds":[],"authIds":[]}}'
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
offsetinteger必填lengthinteger必填totalinteger必填pagesinteger必填listarray<object>必填隐藏子属性
declarationIdstring必填declarationNostring必填temporaryStorageInfoobject必填orderDeclareInfoobject必填producerSalesUnitstring必填producerSalesUnitNamestring必填shipperInfoobject必填隐藏子属性
shipperIdstring必填shipperNamestring必填socialCreditCodestring必填customsCodestring必填shipperElectronicSealPicturestring必填shipperAddressstring必填shipperPhonestring必填shipperFaxstring必填consigneeInfoobject必填隐藏子属性
consigneeIdstring必填consigneeNamestring必填receiverElectronicSealPicturestring必填consigneeAddressstring必填consigneePhonestring必填consigneeFaxstring必填accountNamestring必填supervisionModestring必填authIdstring必填orderDeclarationStatusstring必填temporaryStorageStatusstring必填destinationCountrystring必填referenceTypeinteger必填referenceNosarray<any>必填shipmentNoarray<any>必填orderNostring必填platformstring必填freightstring必填totalPackagesinteger必填totalNetWeightstring必填totalGrossWeightstring必填declaredAmountstring必填currencystring必填createdBystring必填createdTimestring必填lastModifiedBystring必填lastModifiedTimestring必填remarkstring必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "a0d54debf93140f3b58d1ed81e8e3583",
"response_time": "2026-09-28 12:00:00",
"data": {
"offset": 0,
"length": 20,
"total": 1,
"pages": 1,
"list": [
{
"declarationId": "2103664996716814337",
"declarationNo": "CD20260926002",
"temporaryStorageInfo": null,
"orderDeclareInfo": null,
"producerSalesUnit": "206227556164849806",
"producerSalesUnitName": "示例公司",
"shipperInfo": {
"shipperId": "206227556164849806",
"shipperName": "示例公司",
"socialCreditCode": null,
"customsCode": null,
"shipperElectronicSealPicture": null,
"shipperAddress": null,
"shipperPhone": null,
"shipperFax": null
},
"consigneeInfo": {
"consigneeId": "206187086975594609",
"consigneeName": "示例收货人",
"receiverElectronicSealPicture": null,
"consigneeAddress": null,
"consigneePhone": null,
"consigneeFax": null
},
"accountName": "",
"supervisionMode": "9810",
"authId": null,
"orderDeclarationStatus": "PENDING",
"temporaryStorageStatus": "PENDING",
"destinationCountry": "美国",
"referenceType": 1,
"referenceNos": [
"SP260922004"
],
"shipmentNo": [
"FBA19QP58DJ7"
],
"orderNo": "FBA19QP58DJ7",
"platform": "Amazon",
"freight": "0",
"totalPackages": 2,
"totalNetWeight": "0",
"totalGrossWeight": "6",
"declaredAmount": "480",
"currency": "CNY",
"createdBy": "示例用户",
"createdTime": "2026-09-26 09:56:34",
"lastModifiedBy": "示例用户",
"lastModifiedTime": "2026-09-26 09:56:34",
"remark": ""
}
]
},
"total": 1
}
附加说明
referenceType可传 1、2,页面未筛选时实际传空字符串;下游会按原值转发。- 有效的
searchValues优先于searchValue;有效的productSearchValues优先于productSearchValue。 - 传入
timeType时使用timeStartDate、timeEndDate,忽略创建和修改时间范围字段。 declarationId、生产销售单位和收发货人 ID 均按字符串返回,金额及重量也按字符串返回。